fault
action Network

# Stop Network Proxy

Stop the fault proxy.

Run it now
View details

Type | action
Module | chaosfault.actions
Name | run_proxy
Return | list

Usage

JSON

    {
      "name": "run-proxy",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosfault.actions",
        "func": "stop_proxy"
      }
    }

YAML

    name: run-proxy
    type: action
    provider:
      type: python
      module: chaosfault.actions
      func: stop_proxy

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---

Stop the fault proxy.

Signature

    def stop_proxy(unset_http_proxy_variables: bool = False)
      pass

## Related starters

- Kubernetes
  action Network

  ## `reorder_packets`

  Re-order packets on a Pod's network link
- Kubernetes
  action Network

  ## `set_bandwidth`

  Simulate bandwith on a Pod network link
- Kubernetes
  action Network

  ## `allow_dns_access`

  Allow DNS access from pods